Subject: Re: [patch net-next v3] tools: ynl: introduce option to process unknown attributes or types

From: Jakub Kicinski <[email-masked]>
Date: Thu, 26 Oct 2023 07:41:20 -0700

On Thu, 26 Oct 2023 07:42:33 +0200 Jiri Pirko wrote:
> {'129': {'0': [type:0 len:12] b'\x00\x00\x00\x00\x00\x00\x00\x00',
>          '1': [type:1 len:12] b'\x00\x00\x00\x00\x00\x00\x00\x00',
>          '2': [type:2 len:12] b'(\x00\x00\x00\x00\x00\x00\x00'},
> Looks like unnecessary redundant info, I would rather stick with
> "as_bin()". __repr__() is printable representation of the whole object,
> we just need value here, already have that in a structured object.
> 
> 
> What is "type" and "len" good for here?

I already gave you a longer explanation, if you don't like the
duplication, how about you stop keying them on a (stringified?!) id.